using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace bajaWare.UserControl.Credito
{
    public partial class wucCredEmpresCredito : System.Web.UI.UserControl
    {
        public CreditoEmpresarialService.ICreditoEmpresarialService rsCreditoEmp = new CreditoEmpresarialService.CreditoEmpresarialServiceClient();
        public InterfacesServicesCatalogos.IinterfacesServicesCatalogos rsCatalogos = new InterfacesServicesCatalogos.IinterfacesServicesCatalogosClient();
        
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
               
                LlenaCombos();
            }
        }
        void LlenaCombos()
        {
          

            /*Llenado de combo Destino del Crédito*/
            ddlDestinoCredito.DataSource = rsCatalogos.ListaDestinoCredito();
            ddlDestinoCredito.DataTextField = "vchInterface";
            ddlDestinoCredito.DataValueField = "intInterfaceid";
            ddlDestinoCredito.DataBind();

          

            /*Llenado de combo Clasificación Legal*/
            ddlClasificacionLegal.DataSource = rsCatalogos.ListaClasificacionLegal();
            ddlClasificacionLegal.DataTextField = "vchInterface";
            ddlClasificacionLegal.DataValueField = "intInterfaceid";
            ddlClasificacionLegal.DataBind();
           

            /*Llenado de combo de Metodología*/
            ddlMetodologia.DataSource = rsCatalogos.ListaMetodologia();
            ddlMetodologia.DataTextField = "vchInterface";
            ddlMetodologia.DataValueField = "intInterfaceid";
            ddlMetodologia.DataBind();

            /*Llenado de combo de Tipo de Alta*/
            ddlTipoAlta.DataSource = rsCatalogos.ListaTipoAlta();
            ddlTipoAlta.DataTextField = "vchInterface";
            ddlTipoAlta.DataValueField = "intInterfaceid";
            ddlTipoAlta.DataBind();

            /*Llenado de combo de Disposición de Crédito*/
            ddlDispCredito.DataSource = rsCatalogos.ListaDisposicionCredito();
            ddlDispCredito.DataTextField = "vchInterface";
            ddlDispCredito.DataValueField = "intInterfaceid";
            ddlDispCredito.DataBind();
            /*Llenado de combo de Disposición de Crédito*/
            ddlTipoCreditoR04A.DataSource = rsCatalogos.ListadoTipoCreditoR04A();
            ddlTipoCreditoR04A.DataTextField = "vchInterface";
            ddlTipoCreditoR04A.DataValueField = "intInterfaceid";
            ddlTipoCreditoR04A.DataBind();
            /*Llenado de combo de Disposición de Crédito*/
            ddlPosicion.DataSource = rsCatalogos.ListadoPreferencia();
            ddlPosicion.DataTextField = "vchInterface";
            ddlPosicion.DataValueField = "intInterfaceid";
            ddlPosicion.DataBind();
            /*Llenado de combo de Disposición de Crédito*/
            ddlPeriodicidadInteres.DataSource = rsCatalogos.ListadoPeriodicidadInt();
            ddlPeriodicidadInteres.DataTextField = "vchInterface";
            ddlPeriodicidadInteres.DataValueField = "intInterfaceid";
            ddlPeriodicidadInteres.DataBind();
            /*Llenado de combo de Disposición de Crédito*/
            ddlTipoLinea.DataSource = rsCatalogos.ListadoTipoLineaRevoca();
            ddlTipoLinea.DataTextField = "vchInterface";
            ddlTipoLinea.DataValueField = "intInterfaceid";
            ddlTipoLinea.DataBind();

            ddlTasaReferencia.DataSource = rsCatalogos.ListaTasaReferencia();
            ddlTasaReferencia.DataTextField = "vchInterface";
            ddlTasaReferencia.DataValueField = "intInterfaceid";
            ddlTasaReferencia.DataBind();

           // ddlProductoComercial.DataSource=rsCatalogos.
           

         

        }
        public bool Inserta(CreditoEmpresarialService.CreditoEmpresarial creditoEmpresarial)
        {
            
            creditoEmpresarial.sintDestinoCredID = Convert.ToInt16(ddlDestinoCredito.SelectedValue);
            creditoEmpresarial.sintTasaRefID = Convert.ToInt16(ddlTasaReferencia.SelectedValue);
            creditoEmpresarial.tintMetodologiaID = Convert.ToInt16(ddlMetodologia.SelectedValue);
            creditoEmpresarial.tintTipoAltaID = Convert.ToInt16(ddlTipoAlta.SelectedValue);
            creditoEmpresarial.sintTipoCreditoID = Convert.ToInt16(ddlTipoCreditoR04A.SelectedValue);
            creditoEmpresarial.sintClasificaLegID = Convert.ToInt16(ddlClasificacionLegal.SelectedValue);
            creditoEmpresarial.tintTipoDispCredID = Convert.ToInt16(ddlDispCredito.SelectedValue);
            if (ddlPeriodicidadInteres.SelectedValue == "-1")
                creditoEmpresarial.tintPeriodicidadInt = null;
            else
                creditoEmpresarial.tintPeriodicidadInt = Convert.ToInt16(ddlPeriodicidadInteres.SelectedValue);
            if (ddlPosicion.SelectedValue == "-1")
                creditoEmpresarial.tintPreferenciaID = null;
            else
                creditoEmpresarial.tintPreferenciaID = Convert.ToInt16(ddlPosicion.SelectedValue);
            creditoEmpresarial.tintTipoLinRevID = Convert.ToInt16(ddlTipoLinea.SelectedValue);
            //if (txtPorcentajeGarFond.Text != string.Empty)
            //    creditoEmpresarial.decPorGarantiaFon = Convert.ToDecimal(txtPorcentajeGarFond.Text);
           // creditoEmpresarial.iInstitutoFondea=
           CreditoEmpresarialService.ServiceResult resultado= rsCreditoEmp.ActualizaCreditoEmpresarial(creditoEmpresarial);
           return resultado.ServiceOk;
        }

        public void LlenaDatos(CreditoEmpresarialService.CreditoEmpresarial creditoEmpresarial)
        {
            ddlDestinoCredito.SelectedValue = creditoEmpresarial.sintDestinoCredID.ToString();
            /*Llenado de combo Clasificación Legal*/
            
            ddlClasificacionLegal.SelectedValue = creditoEmpresarial.sintClasificaLegID.ToString();
            /*Llenado de combo de Metodología*/
            ddlMetodologia.SelectedValue = creditoEmpresarial.tintMetodologiaID.ToString();
            /*Llenado de combo de Tipo de Alta*/
            ddlTipoAlta.SelectedValue = creditoEmpresarial.tintTipoAltaID.ToString();
            /*Llenado de combo de Disposición de Crédito*/
            ddlDispCredito.SelectedValue = creditoEmpresarial.tintTipoDispCredID.ToString();
            /*Llenado de combo de Disposición de Crédito*/
            ddlTipoCreditoR04A.SelectedValue = creditoEmpresarial.sintTipoCreditoID.ToString();
            /*Llenado de combo de Disposición de Crédito*/
            if(creditoEmpresarial.tintPreferenciaID!=null)
                ddlPosicion.SelectedValue = creditoEmpresarial.tintPreferenciaID.ToString();
            /*Llenado de combo de Disposición de Crédito*/
            if( creditoEmpresarial.tintPeriodicidadInt !=null)
                ddlPeriodicidadInteres.SelectedValue = creditoEmpresarial.tintPeriodicidadInt.ToString();
            /*Llenado de combo de Disposición de Crédito*/
            ddlTipoLinea.SelectedValue = creditoEmpresarial.tintTipoLinRevID.ToString();
            ddlTasaReferencia.SelectedValue = creditoEmpresarial.sintTasaRefID.ToString();
            //if(creditoEmpresarial.decPorGarantiaFon>0)
            //    txtPorcentajeGarFond.Text =creditoEmpresarial.decPorGarantiaFon==100?"100": Convert.ToDecimal(creditoEmpresarial.decPorGarantiaFon).ToString();
        }
    }
}